##
##  delegate.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         delegate
Summary:      Multi-purpose Application-Level Network Gateway
URL:          http://www.delegate.org/
Vendor:       Yutaka Sato
Packager:     The OpenPKG Project
Distribution: OpenPKG [BASE]
Group:        Network
License:      GPL
Version:      8.3.2
Release:      20030101

#   list of sources
Source0:      ftp://ftp:openpkg-dev%40openpkg.org@ftp.delegate.org/pub/DeleGate/delegate%{version}.tar.gz

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20021230
PreReq:       OpenPKG, openpkg >= 20021230
AutoReq:      no
AutoReqProv:  no

%description
    DeleGate is a multi-purpose application level gateway, or a proxy
    server. It mediates communication of various protocols (HTTP, FTP,
    NNTP, POP, Telnet, etc.), applying cache and conversion for mediated
    data, controlling access from clients and routing toward servers. It
    translates protocols between clients and servers, merging several
    servers into a single server view with aliasing and filtering.
    Besides proxy, DeleGate can be used as a simple origin server for
    some protocols (HTTP, FTP and NNTP).

%prep
    %setup -q -n delegate%{version}

%build
    ( %{l_shtool} echo -e "ADMIN = %u@%h%d"
      echo "CC = %{l_cc}"
      echo "CFLAGS = %{l_cflags -O}"
    ) >src/DELEGATE_CONF
    %{l_make} %{l_mflags -O}

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/sbin \
        $RPM_BUILD_ROOT%{l_prefix}/share/delegate
    %{l_shtool} install -c -s -m 755 \
        src/delegated $RPM_BUILD_ROOT%{l_prefix}/sbin/
    %{l_shtool} install -c -m 644 \
        doc/Manual.htm $RPM_BUILD_ROOT%{l_prefix}/share/delegate/manual.html
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

